## org.jvnet.maven.plugin.antrun
Interface GraphVisitor

All Known Implementing Classes:
  AbstractArtifactsExclusionFilter, DefaultGraphVisitor, ExcludeArtifactsTransitivelyFilter, GraphVizVisualizer, GroupIdFilter, ListFilter, ManifestEntryFilter, PackagingFilter, RemoveSpecificArtifactsFilter, ScopeFilter

    public interface GraphVisitor

Traverses a `DependencyGraph` in a depth-first order. All the reachable nodes and edges are visited once and only once.

Author:
  Kohsuke Kawaguchi

Method Summary
`boolean` `visit(DependencyGraph.Edge edge)` Visits an edge.
`boolean` `visit(DependencyGraph.Node node)` Visits a node.

Method Detail

### visit

    boolean visit(DependencyGraph.Edge edge)

  Visits an edge.

  Returns:
    false to cut the traversal here and don't visit its destination node.

### visit

    boolean visit(DependencyGraph.Node node)

  Visits a node.

  Returns:
    false to cut the traversal here and don't visit any of forward edges from this node.

Copyright © 2011. All Rights Reserved.